version: "3.4"

x-logging: &default-logging
    driver: "json-file"
    options:
        max-size: "500k"
        max-file: "10"

services:
  prometheus:
    image: prom/prometheus:v{{ prometheus_version }}
    restart: unless-stopped
    expose:
      - 9090
    networks:
      - web
    volumes:
      - ./config/prometheus.yml://etc/prometheus/prometheus.yml:ro
      - ./config/web-config.yml:/etc/prometheus/web-config.yml:ro
      - ./data:/prometheus
    command: "--config.file=/etc/prometheus/prometheus.yml --web.config.file=/etc/prometheus/web-config.yml"
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=web"
      - "traefik.http.routers.{{ prometheus_name }}-prometheus.entrypoints=websecure"
      - "traefik.http.routers.{{ prometheus_name }}-prometheus.rule=Host(`{{ prometheus_domain }}`)"
      - "traefik.http.routers.{{ prometheus_name }}-prometheus.tls.certresolver=httpsresolver"
      - "traefik.http.services.{{ prometheus_name }}-prometheus.loadbalancer.server.port=9090"
networks:
    web:
        external: true
